template("sign_package") {
    forward_variables_from(invoker, [ "sign_deps" ])

    action(target_name) {
        command = "$tizen_core/tz"
        description = "SIGN package files"
        args = [
            "sign",
            "--in-dir", rebase_path("${root_out_dir}/hash/$out_dir", root_out_dir),
            "--out-dir", rebase_path("${root_out_dir}/$out_dir", root_out_dir),
            "--author-cert", rebase_path(author_cert),
            "--dist-cert", rebase_path(distributor_cert),
        ]

        outputs = [
            "${root_out_dir}/$out_dir/author-signature.xml",
            "${root_out_dir}/$out_dir/signature1.xml",
        ]

        if (distributor2_cert != "") {
            args += [
                "--dist2-cert", rebase_path(distributor2_cert),
            ]
            outputs += [
                "${root_out_dir}/$out_dir/signature2.xml",
            ]
        }
        deps = sign_deps
    }
}